Create a teamspace
View as MarkdownPOST
/v1/workspaces/{workspaceId}/teamspacesYou become its owner. Guests cannot create teamspaces.
curl -X POST "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/teamspaces" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Notes"
}'Path parameters
Body
Client-minted id. Generated when omitted.
Default
""Default
null- visibilitystring
One of
openclosedprivateDefault
"open" - isDefaultboolean
Default
false
Response
- namestring
- descriptionstring
- visibilitystring
One of
openclosedprivate - isDefaultboolean
One of
ownermember- createdAttimestamp
- updatedAttimestamp
{
"id": "string",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"name": "Notes",
"description": "string",
"icon": null,
"visibility": "open",
"isDefault": false,
"myRole": null,
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null
}Errors use one envelope for every endpoint. See Errors and versions.